Bug 846755 - avoid realloc-related problems
avoid realloc-related problems
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 11:35 EDT by Jim Meyering
Modified: 2015-12-01 11:45 EST (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:20:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Meyering 2012-08-08 11:35:06 EDT
Description of problem:
catch-all for realloc-related problems found via inspection

Version-Release number of selected component (if applicable):
latest from git

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jim Meyering 2012-08-08 11:38:27 EDT
Here's one:
  http://review.gluster.com/3791
Comment 2 Jim Meyering 2012-08-08 11:44:57 EDT
Here are two more:
  http://review.gluster.com/3792
  http://review.gluster.com/3793
Comment 3 Vijay Bellur 2012-08-19 12:42:12 EDT
CHANGE: http://review.gluster.com/3804 (utils: don't leak after failed GF_REALLOC) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Vijay Bellur 2012-08-19 12:42:52 EDT
CHANGE: http://review.gluster.com/3793 (gsyncd: don't use void* arithmetic; don't leak upon OOM; remove cast) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Vijay Bellur 2012-08-19 13:14:45 EDT
CHANGE: http://review.gluster.com/3798 (cluster/dht: don't leak upon GF_REALLOC failure) merged in master by Anand Avati (avati@redhat.com)
Comment 6 Fedora Admin XMLRPC Client 2013-01-18 10:15:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.